Bug 1118268 - binary deployment to JBossEWS application fails if tarball includes hidden .war files
Summary: binary deployment to JBossEWS application fails if tarball includes hidden .w...
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 2.2.0
Hardware: Unspecified
OS: Mac OS
medium
low
Target Milestone: ---
: ---
Assignee: Miciah Dashiel Butler Masters
QA Contact: libra bugs
URL:
Whiteboard:
Depends On: 1123088
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 10:23 UTC by Veer Muchandi
Modified: 2017-01-13 22:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1123088 (view as bug list)
Environment:
Last Closed: 2017-01-13 22:31:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
petstore.war renamed as ROOT.war (5.87 MB, application/octet-stream)
2014-07-10 10:23 UTC, Veer Muchandi
no flags Details

Description Veer Muchandi 2014-07-10 10:23:57 UTC
Created attachment 917040 [details]
petstore.war renamed as ROOT.war

Description of problem: If you try creating a tar ball on a MaC client and deploy it using binary deployments, the shows errors in the logs for the ._ files that MaC creates while creating a tar ball.


Version-Release number of selected component (if applicable):


How reproducible:
Create a tar ball on MaC and deploy it to an OSE application

Steps to Reproduce:

On a MaC client workstation:

rhc app-create javaapp jbossews-2.0 –-no-git

rhc configure-app --app javaapp --no-auto-deploy --keep-deployments 2 --deployment-type binary

mkdir ewsbinarydep
cd ewsbinarydep/
mkdir -p build-dependencies/.m2 dependencies/jbossews/webapps repo/.openshift/config

Place your war file (for example petstore.war) in dependencies/jbossews/webapps. Rename the war to ROOT.war or add a ROOT folder with index.html in the above directory.

Add a web.xml file to repo/.openshift/config

tar -czvf ../javaapp-archive.tar.gz ./

rhc deploy --app javaapp --ref ../javaapp-archive.tar.gz


Actual results:

INFO: Deploying web application archive /var/lib/openshift/53b1d796e0b8cdb2860008b8/app-root/runtime/dependencies/jbossews/webapps/._petstore.war

Jun 30, 2014 6:11:09 PM org.apache.catalina.startup.ContextConfig init

SEVERE: Exception fixing docBase for context [/._petstore]

java.util.zip.ZipException: error in opening zip file

Expected results:


Additional info:

Comment 1 Veer Muchandi 2014-07-10 10:27:50 UTC
However RHC returns success when you deploy the above tar ball.

Comment 3 Brenton Leanhardt 2014-07-10 11:41:31 UTC
Just making sure we have the severity set correctly, the deployment of the application actually works, right?

Comment 4 Veer Muchandi 2014-07-10 12:12:41 UTC
After I realized the issue, I only deployed it from linux. I did not try with MaC again. 

After I switched over to Linux, I realized that it won't work without web.xml and I added that. Then it started working.

Comment 5 Miciah Dashiel Butler Masters 2014-07-24 19:59:06 UTC
This looks like it's probably cartridge-specific.

Comment 6 Rory Thrasher 2017-01-13 22:31:27 UTC
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/


Note You need to log in before you can comment on or make changes to this bug.